namespace View_by_Distance.Shared.Models.Stateless.Methods;

public interface IFace
{ // ...

    double TestStatic_Getα(int x1, int x2, int y1, int y2);
    string TestStatic_GetJson(string jsonFileFullName);
    Models.Face TestStatic_GetFace(string jsonFileFullName);
    Models.Face[] TestStatic_GetFaces(string jsonFileFullName);

    static double Getα(int x1, int x2, int y1, int y2) => Face.Getα(x1, x2, y1, y2);
    static string GetJson(string jsonFileFullName) => Face.GetJson(jsonFileFullName);
    static Models.Face GetFace(string jsonFileFullName) => Face.GetFace(jsonFileFullName);
    static Models.Face[] GetFaces(string jsonFileFullName) => Face.GetFaces(jsonFileFullName);

}