using System.ComponentModel.DataAnnotations;
using System.Text.Json;

namespace View_by_Distance.Not.Copy.Copy.Models.Binder;

public class Configuration
{

    [Display(Name = "Compare Source"), Required] public string CompareSource { get; set; }
    [Display(Name = "Empty Destination"), Required] public string EmptyDestination { get; set; }
    [Display(Name = "Property Configuration"), Required] public Property.Models.Configuration? PropertyConfiguration { get; set; }
    [Display(Name = "Selected Source"), Required] public string SelectedSource { get; set; }

    public Configuration()
    {
        CompareSource = string.Empty;
        EmptyDestination = string.Empty;
        SelectedSource = string.Empty;
    }

    public override string ToString()
    {
        string result = JsonSerializer.Serialize(this, new JsonSerializerOptions() { WriteIndented = true });
        return result;
    }

}